Skip to navigation

List Harbor Users

Beta

Lists Harbor-only users assigned to a Harbor.

The response contains only Harbor-only users currently assigned to this Harbor.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

harbor_idstringRequiredformat: "uuid"
Unique identifier of the Harbor

Headers

X-Polytomic-VersionstringOptional

Query parameters

limitintegerOptional1-50Defaults to 50
Maximum number of assigned users to return. Defaults to 50 and cannot exceed 50.
page_tokenstringOptional
Opaque pagination cursor returned by the previous request

Response

OK
datalist of objects or nullOptional
Users on this page
paginationobjectOptional
Pagination details for the next page

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error